Bug 8473 - smb2_find uses a hard coded max reply size of 0x10000 instead of smb2_max_trans
smb2_find uses a hard coded max reply size of 0x10000 instead of smb2_max_trans
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-09-21 18:29 UTC by Jeremy Allison
Modified: 2011-10-13 18:10 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 3.6.1 (957 bytes, patch)
2011-09-21 20:44 UTC, Jeremy Allison
metze: review+
Details
Patch for v3-6-test (13.26 KB, patch)
2011-10-12 19:53 UTC, Stefan Metzmacher
jra: review+
Details
Third patch for 3.6.1 (4.22 KB, patch)
2011-10-12 21:03 UTC, Jeremy Allison
no flags Details
Third patch for 3.6.1 (4.22 KB, patch)
2011-10-12 21:06 UTC, Jeremy Allison
metze: review+
Details
Complete patches for v3-6-test (18.13 KB, patch)
2011-10-13 10:46 UTC, Stefan Metzmacher
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-09-21 18:29:03 UTC
Found at the SNIA plugfest with the Apple SMB2 client.

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2011-09-21 20:44:48 UTC
Created attachment 6926 [details]
git-am fix for 3.6.1
Comment 2 Stefan Metzmacher 2011-09-26 05:22:10 UTC
Comment on attachment 6926 [details]
git-am fix for 3.6.1

Looks ok, but I may propose an additional patch on top
Comment 3 Stefan Metzmacher 2011-09-26 05:22:42 UTC
Karolin, please pick for the release
Comment 4 Karolin Seeger 2011-09-26 18:32:15 UTC
(In reply to comment #3)
> Karolin, please pick for the release

Pushed to v3-6-test.
Re-assigning to Metze to add the additional patch.
Comment 5 Stefan Metzmacher 2011-10-10 11:25:23 UTC
This doesn't block 3.6.1 anymore.
Comment 6 Stefan Metzmacher 2011-10-12 19:51:19 UTC
I have additional patches in autobuild
Comment 7 Stefan Metzmacher 2011-10-12 19:53:48 UTC
Created attachment 6992 [details]
Patch for v3-6-test

The top commit are missing the cherry-pick lines, as the autobuild isn't done yet.
Karolin, please add them before pushing to the 3.6 branches
Comment 8 Jeremy Allison 2011-10-12 21:01:44 UTC
Comment on attachment 6992 [details]
Patch for v3-6-test

This patch is correct, however we also need to change the documentation values and default values if we're limiting max sizes to 64k.
Comment 9 Jeremy Allison 2011-10-12 21:03:03 UTC
Created attachment 6993 [details]
Third patch for 3.6.1

Patch to change the documentation and also the defaults.

If metze agrees in the review please pull from master once the autobuild completes, not this patch.
Comment 10 Jeremy Allison 2011-10-12 21:06:14 UTC
Created attachment 6994 [details]
Third patch for 3.6.1

Fixed version (fixed typo 65526 -> 65536 in one of the doc changes).
Comment 11 Stefan Metzmacher 2011-10-13 10:41:22 UTC
Comment on attachment 6994 [details]
Third patch for 3.6.1

Looks, good, but I'll upload the cherry-picked version
Comment 12 Stefan Metzmacher 2011-10-13 10:46:00 UTC
Created attachment 6995 [details]
Complete patches for v3-6-test

This patch contains the patches cherry-picked from master
and only the commit messages are changed.

Otherwise they're exactly the same,
except for a PROTOCOL_SMB2_02 => PROTOCOL_SMB2 change
to make it compile in v3-6-test.
Comment 13 Stefan Metzmacher 2011-10-13 10:46:54 UTC
(In reply to comment #12)
> Created attachment 6995 [details]
> Complete patches for v3-6-test
> 
> This patch contains the patches cherry-picked from master
> and only the commit messages are changed.
> 
> Otherwise they're exactly the same,
> except for a PROTOCOL_SMB2_02 => PROTOCOL_SMB2 change
> to make it compile in v3-6-test.

Karolin, please pick this for the release
Comment 14 Karolin Seeger 2011-10-13 18:10:30 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!